pcl::poisson::MarchingSquares Class Reference

`#include <pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h>`

## Public Types

enum | { MAX_EDGES =2 }

## Static Public Member Functions

static const int * | edgeMask ()
static int | edges (int i, int j)
static double & | vertexList (int i, int j)
static int | GetIndex (const double values[Square::CORNERS], double iso)
static int | IsAmbiguous (const double v[Square::CORNERS], double isoValue)
static int | AddEdges (const double v[Square::CORNERS], double isoValue, Edge *edges)
static int | AddEdgeIndices (const double v[Square::CORNERS], double isoValue, int *edges)

## Detailed Description

Definition at line 85 of file marching_cubes_poisson.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MAX_EDGES |

Definition at line 90 of file marching_cubes_poisson.h.

## Member Function Documentation

## AddEdgeIndices()

static int pcl::poisson::MarchingSquares::AddEdgeIndices | ( | const double | v[Square::CORNERS],
|  | double | isoValue,
|  | int * | edges
| ) |  |

static

## AddEdges()

static int pcl::poisson::MarchingSquares::AddEdges | ( | const double | v[Square::CORNERS],
|  | double | isoValue,
|  | Edge * | edges
| ) |  |

static

## edgeMask()

static const int* pcl::poisson::MarchingSquares::edgeMask | ( |  | ) |

static

## edges()

static int pcl::poisson::MarchingSquares::edges | ( | int | i,
|  | int | j
| ) |  |

static

## GetIndex()

static int pcl::poisson::MarchingSquares::GetIndex | ( | const double | values[Square::CORNERS],
|  | double | iso
| ) |  |

static

## IsAmbiguous()

static int pcl::poisson::MarchingSquares::IsAmbiguous | ( | const double | v[Square::CORNERS],
|  | double | isoValue
| ) |  |

static

## vertexList()

static double& pcl::poisson::MarchingSquares::vertexList | ( | int | i,
|  | int | j
| ) |  |

static

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h